<ion-header color="" [translucent]="true">
  <ion-toolbar>
    <ion-item lines="none">
      <ion-label style="font-weight: 600;font-size: 3em;">
        Welcome
        <p style="font-weight: 400;color: #ffffff ;">{{today | date:'fullDate'}}</p>
      </ion-label>
    </ion-item>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">

  <ion-card *ngFor="let item of todoList; let i = index" class="ion-margin">
    <ion-card-header>
      
      <ion-card-subtitle [style.color]="item.value.itemPriority === 'high' ? 'red' : (item.value.itemPriority === 'low' ? 'green' : 'orange')">
        {{item.value.itemCategory}}
      </ion-card-subtitle>

      <ion-item>
        <ion-icon *ngIf="item.value.itemPriority === 'high'" color="danger" size="small" name="ellipse"></ion-icon>
        <ion-icon *ngIf="item.value.itemPriority === 'low'" color="success" size="small" name="ellipse"></ion-icon>
        <ion-icon *ngIf="item.value.itemPriority === 'middle'" color="warning" size="small" name="ellipse"></ion-icon>
        <ion-label> {{ item.value.itemName}}</ion-label>
      </ion-item>

    </ion-card-header>

    <ion-card-content>
      <ion-label>Due {{item.value.itemDueDate | date:'fullDate'}}</ion-label>
    </ion-card-content>

    <ion-row>
    

      <ion-item button (click)="update(item)">
        <ion-icon name="create-outline"></ion-icon>
        <p>Change</p>
      </ion-item>

      <ion-item button (click)="delete(item.key)">
        <ion-icon name="trash-outline"></ion-icon>
        <p>Cancel</p>
      </ion-item>
    </ion-row>

  </ion-card>
  <ion-fab horizontal="end" vertical="top" slot="fixed" edge>
    <ion-fab-button>
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
    <ion-fab-list>
      <ion-fab-button (click)="addNewItem()" color="light">
        <ion-icon name="add"></ion-icon>
      </ion-fab-button>
      <ion-fab-button (click)="letMeMap()" color="light">
        <ion-icon name="map"></ion-icon>
      </ion-fab-button>
      <ion-fab-button (click)="letMeBack()" color="light">
        <ion-icon name="exit"></ion-icon>
      </ion-fab-button>
    </ion-fab-list>
  </ion-fab>
  
</ion-content>